Facebook
From Small Hedgehog, 9 Months ago, written in Plain Text.
Embed
Download Paste or View Raw
Hits: 99
  1. Traceback (most recent call last):
  2.   File "C:\Users\njcp6k\Documents\UR\server\connection\tcp_server.py", line 16, in <module>
  3.     connection, client_addr = s.accept()
  4.   File "C:\Users\njcp6k\AppData\Local\Programs\Python\Python37\lib\socket.py", line 212, in accept
  5.     fd, addr = self._accept()
  6. socket.timeout: timed out
  7.  
  8. During handling of the above exception, another exception occurred:
  9.  
  10. Traceback (most recent call last):
  11.   File "C:\Users\njcp6k\Documents\UR\server\connection\tcp_server.py", line 25, in <module>
  12.     except s.timeout as e:
  13. TypeError: catching classes that do not inherit from BaseException is not allowed